.fixed-table-container {
    width: 100%;
    height: 350px;
    border: 0px solid black;
    margin: 10px auto;
    background-color: white;
    /* above is decorative or flexible */
    position: relative; /* could be absolute or relative */
    padding-top: 30px; /* height of header */
}

.fixed-table-container-inner {
    overflow-x: hidden;
    overflow-y: auto;
    height: 100%;
}

.header-background {
    /*background-color: #D5ECFF;*/
    height: 30px; /* height of header */
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
}

table {
    background-color: white;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
}

.th-inner {
    position: absolute;
    top: 0;
    line-height: 30px; /* height of header */
    text-align: left;
    border-left: 0px solid black;
    padding-left: 5px;
    margin-left: -5px;
}
.first .th-inner {
    border-left: none;
    padding-left: 6px;
}

/* extra-wrap */

.extrawrap th {
    text-align: center;
}

.extra-wrap {
    width: 100%;
}

/* Zupa styles for centered headers */

.zupa div.zupa1 {
    margin: 0 auto !important;
    width: 0 !important;
}

.zupa div.th-inner {
    width: 100%;
    margin-left: -50%;
    text-align: center;
    border: none;
}

/* for hidden header hack to calculate widths of dynamic content */

.hidden-head {
    min-width: 530px; /* enough width to show all header text, or bad things happen */
}

.hidden-header .th-inner {
    position: static;
    overflow-y: hidden;
    height: 0;
    white-space: nowrap;
    padding-right: 5px;
}

/* for complex headers */

.complex.fixed-table-container {
    padding-top: 60px; /* height of header */
    overflow-x: hidden; /* for border */
}

.complex .header-background {
    height: 60px;
}

.complex-top .th-inner {
    border-bottom: 0px solid black;
    width: 100%
}

.complex-bottom .th-inner {
    top: 30px;
    width: 100%
}

.complex-top .third .th-inner { /* double row cell */
    height: 60px;
    border-bottom: none;
    background-color: #D5ECFF;
}

/* for tableSorter headers */

.fixed-table-container.sort-decoration {
    overflow-x: hidden;
    min-width: 530px; /* enough width to show arrows */
}
.sort-decoration .th-inner {
    width: 100%;
}
.header .th-inner {
    background-color: #D5ECFF;
}
.headerSortUp .th-inner, .headerSortDown .th-inner {
    background-color: #5DDFFD;
}
span.sortArrow {
    background: url(icons/bg.gif) 0 4px no-repeat transparent;
    padding: 1px 10px;
    line-height: 30px;
}
.headerSortUp span.sortArrow {
    background: url(icons/asc.gif) 0 7px no-repeat transparent;
}
.headerSortDown span.sortArrow {
    background: url(icons/desc.gif) 0 7px no-repeat transparent;
}